| Home | Libraries | People | FAQ | More

## Function crop_and_rebin

boost::histogram::algorithm::crop_and_rebin — Crop and rebin command to be used in `reduce`.

## Synopsis

    // In header: <boost/histogram/algorithm/reduce.hpp>

    reduce_command crop_and_rebin(double lower, double upper, unsigned merge);

## Description

Command is applied to corresponding axis in order of reduce arguments.

To `crop` and`rebin` in one command (see the respective commands for more details). Equivalent to passing both commands for the same axis to`reduce`.

Parameters: |
`lower` | lowest bound that should be kept.
`upper` | highest bound that should be kept. If upper is inside bin interval, the whole interval is removed.
`merge` | how many adjacent bins to merge into one.